unit MainUnt;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TMainFrm = class(TForm)
    MobileEdit: TEdit;
    BodyMemo: TMemo;
    SendButton: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure SendButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainFrm: TMainFrm;

implementation

uses almassms;

{$R *.dfm}

const
  SmsURL = 'http://iws.3300.ir/almassms.asmx?wsdl';//Web Service URL
  SmsUsername = 'username'; //Web Service Username
  SmsPassword = 'password'; //Web Service Password

procedure TMainFrm.SendButtonClick(Sender: TObject);
var
  ASendSms: Send1Sms;
  SmsSoap: AlmasSmsSoap;
  SendResult: Send1SmsResponse;
begin
  SmsSoap:= GetAlmasSmsSoap(True, SmsURL);
  ASendSms:= almassms.Send1Sms.Create;
  try
    ASendSms.pUsername:= SmsUsername;
    ASendSms.pPassword:= SmsPassword;
    ASendSms.message_:= BodyMemo.Text;
    ASendSms.mobile:= MobileEdit.Text;

    SendResult:= SmsSoap.Send1Sms(ASendSms);

    if SendResult.Send1SmsResult < 0 then
      ShowMessage('Message was sent successfully. Message ID is '+ IntToStr(SendResult.pMessageId))
    else
      raise Exception.Create('Error sending message code '+ IntToStr(SendResult.Send1SmsResult));
    
  finally
    ASendSms.Free;
  end;
end;

end.
